--version 1.0
--## Choco ##--

local chatreceiver_old = chatreceiver.OnEvent
function chatreceiver:OnEvent(event, data)
	if event == "CHAT_MSG_CHANNEL_EMOTE" or event == "CHAT_MSG_CHANNEL_EMOTE_ACTIVE" then
		if data.name == "IRC" then
			local irc_name = extractIRCName(data.msg)
			
			if irc_name then
				for _,name in ipairs(Ignore.GetIgnoreList()) do
					if string.sub(irc_name, 1, name:len()):lower() == name:lower() then return end --on ignore list: don't display msg
				end
			end
		end
	end
	chatreceiver_old(chatreceiver, event, data)
end

function extractIRCName(msg)
	if msg and type(msg)=='string' then
		if  string.sub(msg, 1, 1) == "<" then
			return string.sub(msg, 2)
		elseif string.sub(msg, 1, 2) == "* " then
			return string.sub(msg, 3)
		else return nil end
	else return nil end
end